curl --request POST \
--url https://api.juridiq.com.br/task-board/templates/apply \
--header 'Content-Type: application/json' \
--header 'x-juridiq-api-key: <api-key>' \
--data '
{
"templateId": "<string>",
"responsiblesId": [],
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"newFolderName": "<string>",
"boards": [
{
"sourceName": "<string>",
"name": "<string>"
}
]
}
'import requests
url = "https://api.juridiq.com.br/task-board/templates/apply"
payload = {
"templateId": "<string>",
"responsiblesId": [],
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"newFolderName": "<string>",
"boards": [
{
"sourceName": "<string>",
"name": "<string>"
}
]
}
headers = {
"x-juridiq-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-juridiq-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templateId: '<string>',
responsiblesId: [],
folderId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
newFolderName: '<string>',
boards: [{sourceName: '<string>', name: '<string>'}]
})
};
fetch('https://api.juridiq.com.br/task-board/templates/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.juridiq.com.br/task-board/templates/apply",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'templateId' => '<string>',
'responsiblesId' => [
],
'folderId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'newFolderName' => '<string>',
'boards' => [
[
'sourceName' => '<string>',
'name' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-juridiq-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.juridiq.com.br/task-board/templates/apply"
payload := strings.NewReader("{\n \"templateId\": \"<string>\",\n \"responsiblesId\": [],\n \"folderId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"newFolderName\": \"<string>\",\n \"boards\": [\n {\n \"sourceName\": \"<string>\",\n \"name\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-juridiq-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.juridiq.com.br/task-board/templates/apply")
.header("x-juridiq-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"templateId\": \"<string>\",\n \"responsiblesId\": [],\n \"folderId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"newFolderName\": \"<string>\",\n \"boards\": [\n {\n \"sourceName\": \"<string>\",\n \"name\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.juridiq.com.br/task-board/templates/apply")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-juridiq-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"templateId\": \"<string>\",\n \"responsiblesId\": [],\n \"folderId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"newFolderName\": \"<string>\",\n \"boards\": [\n {\n \"sourceName\": \"<string>\",\n \"name\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"folder": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"index": 123,
"created": true
},
"boards": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"index": 123
}
]
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Criar estrutura de um template de forma atômica
Cria pasta e quadros a partir de um template. Templates simples exigem folderId ou newFolderName. Templates avançados criam a pasta do catálogo, com o nome de newFolderName se vier, e recusam folderId. boards cria só os quadros escolhidos, com nome editado opcional. O criador entra sempre nos responsáveis.
curl --request POST \
--url https://api.juridiq.com.br/task-board/templates/apply \
--header 'Content-Type: application/json' \
--header 'x-juridiq-api-key: <api-key>' \
--data '
{
"templateId": "<string>",
"responsiblesId": [],
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"newFolderName": "<string>",
"boards": [
{
"sourceName": "<string>",
"name": "<string>"
}
]
}
'import requests
url = "https://api.juridiq.com.br/task-board/templates/apply"
payload = {
"templateId": "<string>",
"responsiblesId": [],
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"newFolderName": "<string>",
"boards": [
{
"sourceName": "<string>",
"name": "<string>"
}
]
}
headers = {
"x-juridiq-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-juridiq-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
templateId: '<string>',
responsiblesId: [],
folderId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
newFolderName: '<string>',
boards: [{sourceName: '<string>', name: '<string>'}]
})
};
fetch('https://api.juridiq.com.br/task-board/templates/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.juridiq.com.br/task-board/templates/apply",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'templateId' => '<string>',
'responsiblesId' => [
],
'folderId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'newFolderName' => '<string>',
'boards' => [
[
'sourceName' => '<string>',
'name' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-juridiq-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.juridiq.com.br/task-board/templates/apply"
payload := strings.NewReader("{\n \"templateId\": \"<string>\",\n \"responsiblesId\": [],\n \"folderId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"newFolderName\": \"<string>\",\n \"boards\": [\n {\n \"sourceName\": \"<string>\",\n \"name\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-juridiq-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.juridiq.com.br/task-board/templates/apply")
.header("x-juridiq-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"templateId\": \"<string>\",\n \"responsiblesId\": [],\n \"folderId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"newFolderName\": \"<string>\",\n \"boards\": [\n {\n \"sourceName\": \"<string>\",\n \"name\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.juridiq.com.br/task-board/templates/apply")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-juridiq-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"templateId\": \"<string>\",\n \"responsiblesId\": [],\n \"folderId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"newFolderName\": \"<string>\",\n \"boards\": [\n {\n \"sourceName\": \"<string>\",\n \"name\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"folder": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"index": 123,
"created": true
},
"boards": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"index": 123
}
]
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key. A API aberta aplica rate limit por chave (veja a documentação de integradores).
Body
ID do template. Obtenha em GET /task-board/templates
1IDs dos responsáveis da pasta e dos quadros criados
Pasta existente (templates simples). Não use junto com newFolderName
Cria pasta nova (templates simples) ou dá nome à pasta de um template avançado. Não use junto com folderId
1Subconjunto dos quadros do template, criado na ordem do catálogo. Ausente = todos
Show child attributes
Show child attributes

